Hlavní navigace

Jádro: Podpora verzí GCC starších než 4.0

Petr Krčmář

Jaderní vývojáři se začali opět po nějaké době zabývat podporou starších verzí překladače GCC. Debatuje se konkrétně nad tím, zda už není na čase podporovat jen verze 4.0 a vyšší. Adrian Bunk poznamenal: „V současné době podporujeme šest různých stabilních verzí GCC a je zřejmě čas zbavit se některých z nich. Vyžadují ještě některé architektury GCC starší než 4.0?”

Russell King poznamenal, že na některých architekturách je stále lepší sáhnout po GCC 3.x. „Chci zachovat podporu pro GCC 3.4.3 kvůli ARM. Starší verze je rychlejší a méně uřvaná.” V konferenci pak padl dotaz, kolik vývojářů ještě používá starší verze překladače. Linus Torvalds se proti takto postavené otázce ohradil s tím, že „to není o vývojářích jádra. Je to o lidech, kteří jádro testují. Pokud jim testování ztížíme, tak tím jen ztratíme.”

Našli jste v článku chybu?